apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: headscale
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt-prod
spec:
  rules:
    - host: headscale.tbrnt.ch
      http:
        paths:
          - backend:
              service:
                name: headscale
                port:
                  number: 8080
            path: /
            pathType: Prefix
  tls:
    - hosts:
        - headscale.tbrnt.ch
      secretName: ingress-cert
